The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> unlockpt - unlock a pseudo-terminal master/slave pair

#### SYNOPSIS

> ``[XSI] #include <stdlib.h>
> int unlockpt(int` fildes`);``
> `
> `

#### DESCRIPTION

> The unlockpt() function shall unlock the slave pseudo-terminal device associated with the master to which fildes refers.

> Conforming applications shall ensure that they call unlockpt() before opening the slave side of a pseudo-terminal device.

#### RETURN VALUE

> Upon successful completion, unlockpt() shall return 0. Otherwise, it shall return -1 and set errno to indicate the error.

#### ERRORS

> The unlockpt() function may fail if:

> [EBADF]
>   The fildes argument is not a file descriptor open for writing.
> [EINVAL]
>   The fildes argument is not associated with a master pseudo-terminal device.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> See the RATIONALE section for posix_openpt.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> grantpt, open, posix_openpt, ptsname

> XBD <stdlib.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

#### Issue 6

> The normative text is updated to avoid use of the term "must" for application requirements.

#### Issue 7

> POSIX.1-2008, Technical Corrigendum 1, XSH/TC1-2008/0697 [96] is applied.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]